# Request access to existing partner

Use this endpoint to request access to an existing partner of Booking.com

Endpoint: POST /partners/request_access
Version: 1.0.0

## Header parameters:

  - `Authorization` (string)

## Request fields (application/json):

  - `le_id` (integer)
    Legal entity ID of the partner. This is treated as the unique identifier for the partner.

  - `legal_contact_email` (string)
    Contract contact email id of the partner. This is treated as the unique identifier for the partner.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.link_to_connect` (string, required)
    URL link for the partner to authorize the connectivity provider.

  - `errors` (array)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.

## Response 500 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `errors.details` (object, required)
    Additional details of warning/error.

  - `errors.message` (string, required)
    English-language description of warning/error.

  - `meta` (object, required)

  - `meta.ruid` (string, required)
    Response Unique Identifier. Refer to this when talking to Booking.com Connectivity Support.
    Example: "UmFuZG9tSVYkc2Rl...="

  - `warnings` (array)

  - `warnings.code` (string, required)
    Alphanumeric identifier for warning/error.

  - `warnings.details` (object, required)
    Additional details of warning/error.

  - `warnings.message` (string, required)
    English-language description of warning/error.


